Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.


photonPWG is a plugin which allows PhpWebGallery (a photoblog) and wordpress integration. All seems to be one, your users won't see any difference!

  1. First, you will need a working phpwebgallery installation. If you don't have one, go here: http://www.phpwebgallery.net/ and download it!

  2. As well, you will need a working wordpress installation! Go here: http://wordpress.org and download it! WARNING! Phpwebgallery and WordPress HAS TO BE ON THE SAME DATABASE!!!

  3. Upload photon.php and photon folder in plugins folder of WordPress, usually wp-content/plugins/

  4. Upload the file phpwebgallery/include/config_local.inc.php in the zip in the include folder of phpwebgallery. You don't have to edit it except if your wordpress user database is not "wp_users" (which is the default).

  5. Upload the folder phpwebgallery/template/photon into phpwebgallery template folder. Then activate it in phpwebgallery administration Menu for default display AND for all the users

  6. Activate photon plugin in wordpress admin section

  7. Go to photon option menu.

  8. Fill in the fields. If photon can't find phpwebgallery, it will tell you.

  9. Photon allows to share a common base of users between phpwebgallery and wordpress. To do so, it uses wordpress database as a reference. It is therefore necessary to import phpwebgallery users into wordpress. But we are going to make it for you! First, click on "Clear old datas of phpwebgallery users". This will suppress old and unused data from users in phpwebgallery. This is necessary to have a healthy start.. Then click on "Import users". Photon then import all the users from phpwebgallery and create it into wordpress. Please note that you will have to redo all the possible associations to privates galleries (if you had some).

  10. That's all! it should work now. If it doesn't, please double-check every steps! It is possible that you experience some problems with some themes of wordpress (for the menu integration). I tried to be as compatible as possible but the number of themes is huge and they don't all follow wordpress standard rules. If you experience problem, you should be able to correct it using the tags options in photon options menu.

Requires: 2.0 or higher
Compatible up to: 2.1
Last Updated: 9 years ago
Active Installs: 100+


0 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.